package com.casic.missiles.service.customer;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.customer.advice.CustomerAdviceListRequest;
import com.casic.missiles.model.customer.CustomerAdviceInfo;

import javax.servlet.http.HttpServletResponse;

public interface CustomerAdviceService {


    Page<CustomerAdviceInfo> adviceListPage(Page<CustomerAdviceInfo> page, CustomerAdviceListRequest customerAdviceListRequest) throws Exception;

    CustomerAdviceInfo adviceDetail(Long id) throws Exception;

    ReturnDTO deleteAdvice(Long id);

    ReturnDTO updateAdvice(CustomerAdviceInfo customerAdviceInfo);

    ReturnDTO addAdvice(CustomerAdviceInfo customerAdviceInfo);

   void  adviceExport(CustomerAdviceListRequest request, HttpServletResponse response);

}
